Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Interface ValidatorContext

All Superinterfaces:
  LocaleProvider, TextProvider, ValidationAware

All Known Implementing Classes:
  DelegatingValidatorContext, VisitorFieldValidator.AppendingValidatorContext

    public interface ValidatorContext

extends ValidationAware, TextProvider, LocaleProvider

The context for validation. This interface extends others to provide methods for reporting errors and messages as well as looking up error messages in a resource bundle using a specific locale.

Author:
  Jason Carreira

Method Summary
`java.lang.String` | `getFullFieldName(java.lang.String fieldName)` Translates a simple field name into a full field name in OGNL syntax.

Methods inherited from interface com.opensymphony.xwork2.ValidationAware
`addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

Methods inherited from interface com.opensymphony.xwork2.TextProvider
`getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasKey`

Methods inherited from interface com.opensymphony.xwork2.LocaleProvider
`getLocale`

Method Detail

### getFullFieldName

    java.lang.String getFullFieldName(java.lang.String fieldName)

  Translates a simple field name into a full field name in OGNL syntax.

  Parameters:
    `fieldName` - the field name to lookup.
  Returns:
    the full field name in OGNL syntax.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.